import http from '@/utils/http'

/**
 * 查询课程tag
 */
export function find(id) {
  return http.get('/venue/lesson/tag/config/' + id)
}

export function findAllTags() {
  return http.get('/venue/lesson/tag/all/')
}

/**
 * 删除课程tag
 */
export function remove(ids) {
  return http.post('/venue/lesson/tag/config/delete', { 'id[]': ids })
}

/**
 * 保存课程tag
 */
export function save(params) {
  return http.post('/venue/lesson/tag/config', params)
}

export function saveTag(name) {
  return http.post('/venue/lesson/tag/config/auto/add', { 'name': name })
}
